<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="en"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>VirtualVendingMachine.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">vendingmachine</a> &gt; <a href="index.source.html" class="el_package">com.example.vendingmachine.component</a> &gt; <span class="el_source">VirtualVendingMachine.java</span></div><h1>VirtualVendingMachine.java</h1><pre class="source lang-java linenums">package com.example.vendingmachine.component;

import java.math.BigDecimal;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import org.springframework.web.context.annotation.ApplicationScope;

import com.example.vendingmachine.entity.Coin;
import com.example.vendingmachine.entity.State;
import com.example.vendingmachine.repository.ProductRepository;

import lombok.Generated;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
@Component
@ApplicationScope
<span class="fc" id="L21">public class VirtualVendingMachine {</span>

    @Autowired
    @Generated
    private ProductRepository productRepository;

<span class="fc" id="L27">    private State currentState = State.INIT;</span>
<span class="fc" id="L28">    private BigDecimal currentAmount = new BigDecimal(&quot;0.00&quot;);</span>
<span class="fc" id="L29">    private String currentOuptut = &quot;Welcome&quot;;</span>

    public void insertCoin(Coin coin) {
<span class="fc" id="L32">        currentState.insertCoin(coin, this);</span>
<span class="fc" id="L33">    }</span>

    public void reset() {
<span class="fc" id="L36">        currentState.reset(this);</span>
<span class="fc" id="L37">    }</span>

    public void buyProductById(long id) {
<span class="fc" id="L40">        currentState.buyProductById(id, productRepository, this);</span>
<span class="fc" id="L41">    }</span>
}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.8.8.202204050719</span></div></body></html>